Bug 364591 - knetworkmanager should be updated to more recent svn version
knetworkmanager should be updated to more recent svn version
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: knetworkmanager (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 16:15 EDT by Éric Brunet
Modified: 2008-06-16 22:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:47:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Éric Brunet 2007-11-02 16:15:53 EDT
On my laptop (Dell D430), connecting to the wifi with knetworkmanager used to 
be a pain:
  * it didn't connect on login (as it should)
  * when manually selecting the access point, connection failed the first time
only after waiting for the first failure, I could select again my acces point 
and establish the connection.

In fedora 7 + updates, knetworkmanager has been compiled from the svn version 
of 2007/08/15 (knetworkmanager-0.2-0.1.svn20070815.fc7.i386.rpm). The bug I 
describe has been solved, I think, on 2007/08/27; here is the relevant 
changelog entry:
        * src/knetworkmanager-nminfo.cpp: Avoid a race on the DBus which
          sometimes prevents connection to wireless networks
Anyway, I can confirm that a version of knetworkmanager compiled from svn on
2007/11/01 works perfectly well for me.

Fedora should not leave packages with known bugs in it. a new version of the 
knetworkmanager package should be pushed through the updates repository.
Comment 1 Bug Zapper 2008-05-14 10:57:51 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:47:44 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.